{ pkgs, config, lib, ... }:

{
  home.file = {
    # Because the below is inconsistent, I turn it off once I have a copy in place. 
    ".taskrc".enable = true;
    # WARN ugly hack
    # taskwarrior needs write access to this file for centexts
    # this way, we get a copy of the file, and we make sure it's writable
    ".taskrc".source = ./taskrc;
    # ".taskrc".executable = true;
    # ".taskrc".onChange = "cp ~/.taskrc ~/.taskrc2;rm ~/.taskrc;mv ~/.taskrc2 ~/.taskrc;chmod +w ~/.taskrc";
    ".task/keys/ca.cert".source = ./ca.cert;
    ".task/keys/public.cert".source = ./public.cert;

    ".local/bin/task-note".source = ./bin/task-note.py;
    ".local/bin/set-idea".source = ./bin/set-idea.sh;
  };
}
